Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.command
Class StreamToListPumper

    java.lang.Object
      com.atlassian.bamboo.command.StreamToListPumper

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  RedStreamToListPumper

    public class StreamToListPumper

extends Object
implements Runnable

This class pumps the contents of an input stream into a list. It is designed to be executed within a thread.

Basically a variation of the Ant StreamPumper that puts in the output in a list

Field Summary
`protected Build` | `build`

Constructor Summary
`StreamToListPumper(Build build, InputStream inputStream, List outputList)` Pump the given inputStream into the given outputList

Method Summary
`protected void` | `log(String line)`
`protected void` | `pump(BufferedReader reader)` Pump the reader into myOutputList.
`void` | `run()` Convert the input stream into a list within the thread

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### build

    protected Build build

Constructor Detail

### StreamToListPumper

    public StreamToListPumper(Build build,
                              InputStream inputStream,
                              List outputList)

  Pump the given inputStream into the given outputList

  Parameters:
    `build` -
    `inputStream` - input data stream
    `outputList` - resulting collection of lines

Method Detail

### run

    public void run()

  Convert the input stream into a list within the thread

  Specified by:
    `run` in interface `Runnable`

### pump

    protected void pump(BufferedReader reader)
                 throws IOException

  Pump the reader into myOutputList.

  Parameters:
    `reader` - The reader
  Throws:
    `IOException` - Something went wrong

### log

    protected void log(String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.